Subject: Re: [PATCH] Changed timestamp behavior of options -c/-C/--amend

From: Johannes Sixt <[email-masked]>
Date: Fri, 30 Oct 2009 22:56:20 +0100

Erick Mattos schrieb:
> @@ -61,13 +62,16 @@ OPTIONS
>  -C <commit>::
>  --reuse-message=<commit>::
>  	Take an existing commit object, and reuse the log message
> -	and the authorship information (including the timestamp)
> -	when creating the commit.
> +	and the authorship information when creating the commit.
> +	By default, timestamp is taken from specified commit unless
> +	option --new-timestamp is included.
>  
>  -c <commit>::
>  --reedit-message=<commit>::
>  	Like '-C', but with '-c' the editor is invoked, so that
>  	the user can further edit the commit message.
> +	By default, timestamp is recalculated and not taken from
> +	specified commit unless option --old-timestamp is included.
>  
>  -F <file>::
>  --file=<file>::
> @@ -134,6 +138,8 @@ OPTIONS
>  	current tip -- if it was a merge, it will have the parents of
>  	the current tip as parents -- so the current top commit is
>  	discarded.
> +	By default, timestamp is taken from latest commit unless option
> +	--new-timestamp is included.

I don't like this a lot. Currently, we consistently (and predictably!) 
reuse the timestamp when the author information is reused. Therefore, I 
think it should be sufficient to introduce only --new-timestamp.

-- Hannes